/*
//
//  Copyright 2010 SRI International
//
//  This file is part of the Computational Morphometry Toolkit.
//
//  http://www.nitrc.org/projects/cmtk/
//
//  The Computational Morphometry Toolkit is free software: you can
//  redistribute it and/or modify it under the terms of the GNU General Public
//  License as published by the Free Software Foundation, either version 3 of
//  the License, or (at your option) any later version.
//
//  The Computational Morphometry Toolkit is distributed in the hope that it
//  will be useful, but WITHOUT ANY WARRANTY; without even the implied
//  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along
//  with the Computational Morphometry Toolkit.  If not, see
//  <http://www.gnu.org/licenses/>.
//
//  $Revision: 3517 $
//
//  $LastChangedDate: 2011-10-27 12:42:15 -0700 (Thu, 27 Oct 2011) $
//
//  $LastChangedBy: torstenrohlfing $
//
*/

#include "cmtkDeviceUniformVolumeArray.h"

#include <System/cmtkMemory.h>

cmtk::DeviceUniformVolumeArray::
DeviceUniformVolumeArray( const UniformVolume& volume )
  : m_DeviceArrayPointer( DeviceArray::Create( volume.m_Dims ) )
{
  const TypedArray::SmartPtr data = volume.GetData();
  if ( data )
    {
    if ( data->GetType() == TYPE_FLOAT )
      {
      m_DeviceArrayPointer->CopyToDevice( static_cast<const float*>( data->GetDataPtr() ) );
      }
    else
      {
      float* fData = static_cast<float*>( data->ConvertArray( TYPE_FLOAT ) );
      m_DeviceArrayPointer->CopyToDevice( fData );
      Memory::ArrayC::Delete( fData );
      }
    }
}
